# HG changeset patch
# Node ID 136a6058ed5f
# Parent  635a129a289d
diff --git a/libpurple/account.h b/libpurple/account.h
--- a/libpurple/account.h
+++ b/libpurple/account.h
@@ -26,17 +26,6 @@
 #ifndef PURPLE_ACCOUNT_H
 #define PURPLE_ACCOUNT_H
 
-/**
- * SECTION:account
- * @section_id: libpurple-account
- * @short_description: <filename>account.h</filename>
- * @title: Account Object
- *
- * A #PurpleAccount is the core configuration for connecting to a specific
- * account. User interfaces typically allow users to create these in a dialog
- * or wizard.
- */
-
 #include <glib.h>
 #include <glib-object.h>
 
@@ -118,6 +107,14 @@
 /**************************************************************************/
 
 /**
+ * PurpleAccount:
+ *
+ * A #PurpleAccount is the core configuration for connecting to a specific
+ * account. User interfaces typically allow users to create these in a dialog
+ * or wizard.
+ */
+
+/**
  * purple_account_get_type:
  *
  * Returns: The #GType for the Account object.
diff --git a/libpurple/accounts.h b/libpurple/accounts.h
--- a/libpurple/accounts.h
+++ b/libpurple/accounts.h
@@ -25,15 +25,6 @@
 
 #ifndef PURPLE_ACCOUNTS_H
 #define PURPLE_ACCOUNTS_H
-/**
- * SECTION:accounts
- * @section_id: libpurple-accounts
- * @short_description: <filename>accounts.h</filename>
- * @title: Accounts Subsystem API
- * @see_also: <link linkend="chapter-signals-account">Account signals</link>
- *
- * The accounts API is used to help manage #PurpleAccount's.
- */
 
 #include "account.h"
 #include "status.h"
diff --git a/libpurple/action.h b/libpurple/action.h
--- a/libpurple/action.h
+++ b/libpurple/action.h
@@ -29,15 +29,6 @@
 #include <glib.h>
 #include <glib-object.h>
 
-/**
- * SECTION:action
- * @section_id: libpurple-action
- * @short_description: <filename>action.h</filename>
- * @title: Protocol Actions
- *
- * This API allows protocols to expose actions to a user interface.
- */
-
 #define PURPLE_TYPE_PROTOCOL_ACTION (purple_protocol_action_get_type())
 typedef struct _PurpleProtocolAction PurpleProtocolAction;
 
diff --git a/libpurple/blistnode.h b/libpurple/blistnode.h
--- a/libpurple/blistnode.h
+++ b/libpurple/blistnode.h
@@ -25,12 +25,6 @@
 
 #ifndef PURPLE_BLIST_NODE_H
 #define PURPLE_BLIST_NODE_H
-/**
- * SECTION:blistnode
- * @section_id: libpurple-blistnode
- * @short_description: <filename>blistnode.h</filename>
- * @title: Buddy List Node and Counting Node types
- */
 
 #include <glib.h>
 #include <glib-object.h>
diff --git a/libpurple/buddy.h b/libpurple/buddy.h
--- a/libpurple/buddy.h
+++ b/libpurple/buddy.h
@@ -26,13 +26,6 @@
 #ifndef PURPLE_BUDDY_H
 #define PURPLE_BUDDY_H
 
-/**
- * SECTION:buddy
- * @section_id: libpurple-buddy
- * @short_description: <filename>buddy.h</filename>
- * @title: Buddy Object
- */
-
 #define PURPLE_TYPE_BUDDY             (purple_buddy_get_type())
 #define PURPLE_BUDDY(obj)             (G_TYPE_CHECK_INSTANCE_CAST((obj), PURPLE_TYPE_BUDDY, PurpleBuddy))
 #define PURPLE_BUDDY_CLASS(klass)     (G_TYPE_CHECK_CLASS_CAST((klass), PURPLE_TYPE_BUDDY, PurpleBuddyClass))
diff --git a/libpurple/buddyicon.h b/libpurple/buddyicon.h
--- a/libpurple/buddyicon.h
+++ b/libpurple/buddyicon.h
@@ -29,13 +29,6 @@
 #include <glib.h>
 #include <gio/gio.h>
 
-/**
- * SECTION:buddyicon
- * @section_id: libpurple-buddyicon
- * @short_description: <filename>buddyicon.h</filename>
- * @title: Buddy Icon API
- */
-
 #define PURPLE_TYPE_BUDDY_ICON (purple_buddy_icon_get_type())
 
 /**
diff --git a/libpurple/buddylist.h b/libpurple/buddylist.h
--- a/libpurple/buddylist.h
+++ b/libpurple/buddylist.h
@@ -26,14 +26,6 @@
 #ifndef PURPLE_BUDDY_LIST_H
 #define PURPLE_BUDDY_LIST_H
 
-/**
- * SECTION:buddylist
- * @section_id: libpurple-buddylist
- * @short_description: <filename>buddylist.h</filename>
- * @title: Buddy List API
- * @see_also: <link linkend="chapter-signals-blist">Buddy List signals</link>
- */
-
 /* I can't believe I let ChipX86 inspire me to write good code. -Sean */
 
 #include "buddy.h"
diff --git a/libpurple/chat.h b/libpurple/chat.h
--- a/libpurple/chat.h
+++ b/libpurple/chat.h
@@ -26,13 +26,6 @@
 #ifndef PURPLE_CHAT_H
 #define PURPLE_CHAT_H
 
-/**
- * SECTION:chat
- * @section_id: libpurple-chat
- * @short_description: <filename>chat.h</filename>
- * @title: Chat Object
- */
-
 #define PURPLE_TYPE_CHAT             (purple_chat_get_type())
 #define PURPLE_CHAT(obj)             (G_TYPE_CHECK_INSTANCE_CAST((obj), PURPLE_TYPE_CHAT, PurpleChat))
 #define PURPLE_CHAT_CLASS(klass)     (G_TYPE_CHECK_CLASS_CAST((klass), PURPLE_TYPE_CHAT, PurpleChatClass))
diff --git a/libpurple/circularbuffer.h b/libpurple/circularbuffer.h
--- a/libpurple/circularbuffer.h
+++ b/libpurple/circularbuffer.h
@@ -23,12 +23,6 @@
 
 #ifndef PURPLE_CIRCULAR_BUFFER_H
 #define PURPLE_CIRCULAR_BUFFER_H
-/**
- * SECTION:circularbuffer
- * @section_id: libpurple-circularbuffer
- * @short_description: <filename>circularbuffer.h</filename>
- * @title: Buffer Utility Functions
- */
 
 #include <glib.h>
 #include <glib-object.h>
diff --git a/libpurple/cmds.h b/libpurple/cmds.h
--- a/libpurple/cmds.h
+++ b/libpurple/cmds.h
@@ -23,14 +23,6 @@
 #ifndef PURPLE_CMDS_H
 #define PURPLE_CMDS_H
 
-/**
- * SECTION:cmds
- * @section_id: libpurple-cmds
- * @short_description: <filename>cmds.h</filename>
- * @title: Commands API
- * @see_also: <link linkend="chapter-signals-cmd">Command signals</link>
- */
-
 #include <purpleconversation.h>
 
 /******************************************************************************
diff --git a/libpurple/connection.h b/libpurple/connection.h
--- a/libpurple/connection.h
+++ b/libpurple/connection.h
@@ -25,13 +25,6 @@
 
 #ifndef PURPLE_CONNECTION_H
 #define PURPLE_CONNECTION_H
-/**
- * SECTION:connection
- * @section_id: libpurple-connection
- * @short_description: <filename>connection.h</filename>
- * @title: Connection API
- * @see_also: <link linkend="chapter-signals-connection">Connection signals</link>
- */
 
 #include <glib.h>
 
diff --git a/libpurple/contact.h b/libpurple/contact.h
--- a/libpurple/contact.h
+++ b/libpurple/contact.h
@@ -25,12 +25,6 @@
 
 #ifndef PURPLE_CONTACT_H
 #define PURPLE_CONTACT_H
-/**
- * SECTION:contact
- * @section_id: libpurple-contact
- * @short_description: <filename>contact.h</filename>
- * @title: Contact Object
- */
 
 #define PURPLE_TYPE_CONTACT             (purple_contact_get_type())
 #define PURPLE_CONTACT(obj)             (G_TYPE_CHECK_INSTANCE_CAST((obj), PURPLE_TYPE_CONTACT, PurpleContact))
diff --git a/libpurple/conversations.h b/libpurple/conversations.h
--- a/libpurple/conversations.h
+++ b/libpurple/conversations.h
@@ -25,13 +25,6 @@
 
 #ifndef PURPLE_CONVERSATIONS_H
 #define PURPLE_CONVERSATIONS_H
-/**
- * SECTION:conversations
- * @section_id: libpurple-conversations
- * @short_description: <filename>conversations.h</filename>
- * @title: Conversations Subsystem API
- * @see_also: <link linkend="chapter-signals-conversation">Conversation signals</link>
- */
 
 #include <purpleconversation.h>
 #include "server.h"
diff --git a/libpurple/core.h b/libpurple/core.h
--- a/libpurple/core.h
+++ b/libpurple/core.h
@@ -25,13 +25,6 @@
 
 #ifndef PURPLE_CORE_H
 #define PURPLE_CORE_H
-/**
- * SECTION:core
- * @section_id: libpurple-core
- * @short_description: <filename>core.h</filename>
- * @title: Startup and Shutdown of libpurple
- * @see_also: <link linkend="chapter-signals-core">Core signals</link>
- */
 
 #include <glib.h>
 #include <glib-object.h>
diff --git a/libpurple/countingnode.h b/libpurple/countingnode.h
--- a/libpurple/countingnode.h
+++ b/libpurple/countingnode.h
@@ -25,12 +25,6 @@
 
 #ifndef PURPLE_COUNTING_NODE_H
 #define PURPLE_COUNTING_NODE_H
-/**
- * SECTION:countingnode
- * @section_id: libpurple-countingnode
- * @short_description: <filename>countingnode.h</filename>
- * @title: CountingNode Object
- */
 
 #include <glib.h>
 #include <glib-object.h>
